# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "imagequant"
version = "3.0.4-alpha.1"
authors = ["Kornel <kornel@pngquant.org>"]
include = ["src/*", "examples/*", "COPYRIGHT", "Cargo.toml", "README.md"]
description = "Convert 24/32-bit images to 8-bit palette with alpha channel.\nBindings for libimagequant that powers pngquant lossy PNG compressor.\n\nDual-licensed like pngquant. See https://pngquant.org for details."
homepage = "https://pngquant.org/lib/"
documentation = "https://docs.rs/imagequant"
readme = "README.md"
keywords = ["quantization", "palette", "image", "pngquant", "compression"]
categories = ["multimedia::images"]
license = "GPL-3.0+"
repository = "https://github.com/ImageOptim/libimagequant"

[lib]
name = "imagequant"
[dependencies.imagequant-sys]
version = "3.0.4-alpha.1"

[dependencies.libc]
version = "0.2.60"

[dependencies.rgb]
version = "0.8.25"

[features]
default = ["sse"]
openmp = ["imagequant-sys/openmp"]
openmp-static = ["openmp", "imagequant-sys/openmp-static"]
sse = ["imagequant-sys/sse"]
